petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexSetSubpointMap

Sets the DMLabel with point dimension as values

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexSetSubpointMap(DM dm, DMLabel subpointMap)

### Input Parameters

| dm | - The submesh DM
| subpointMap | - The DMLabel of all the points from the original mesh in this submesh

Note: Should normally not be called by the user, since it is set in DMPlexCreateSubmesh()

### See Also

DMPlexCreateSubmesh(), DMPlexCreateSubpointIS()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages